<div class="heroes">
    <h2>My Heroes</h2>
    <mat-form-field appearance="standard" color="accent">
        <mat-label>Hero name</mat-label>
        <input #heroName matInput>
    </mat-form-field>
    <!-- (click) passes input value to add() and then clears the input -->
    <button (click)="add(heroName.value); heroName.value=''" color="accent" mat-button>
        ADD
    </button>
    <mat-selection-list #myHeroes multiple=false>
        <mat-list-option *ngFor="let hero of heroes">
            <div matLine>
                <div class="line">
                    <a routerLink="/detail/{{hero.id}}" class="link">
                        <span>{{hero.id}}</span><span> {{hero.name}}</span>
                    </a>
                    <button (click)="delete(hero)" color="primary" mat-icon-button>
                        <mat-icon>delete</mat-icon>
                    </button>
                </div>
            </div>
            <mat-divider></mat-divider>
        </mat-list-option>
    </mat-selection-list>
</div>
